Mailinglist Archive: opensuse-security-announce (77 mails)

< Previous Next >
[security-announce] openSUSE-SU-2020:1182-1: important: Security update for libX11
openSUSE Security Update: Security update for libX11
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:1182-1
Rating: important
References: #1174628
Cross-References: CVE-2020-14344
Affected Products:
openSUSE Leap 15.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for libX11 fixes the following issues:

- Fixed XIM client heap overflows (CVE-2020-14344, bsc#1174628).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.2:

zypper in -t patch openSUSE-2020-1182=1



Package List:

- openSUSE Leap 15.2 (i586 x86_64):

libX11-6-1.6.5-lp152.5.6.1
libX11-6-debuginfo-1.6.5-lp152.5.6.1
libX11-debugsource-1.6.5-lp152.5.6.1
libX11-devel-1.6.5-lp152.5.6.1
libX11-xcb1-1.6.5-lp152.5.6.1
libX11-xcb1-debuginfo-1.6.5-lp152.5.6.1

- openSUSE Leap 15.2 (x86_64):

libX11-6-32bit-1.6.5-lp152.5.6.1
libX11-6-32bit-debuginfo-1.6.5-lp152.5.6.1
libX11-devel-32bit-1.6.5-lp152.5.6.1
libX11-xcb1-32bit-1.6.5-lp152.5.6.1
libX11-xcb1-32bit-debuginfo-1.6.5-lp152.5.6.1

- openSUSE Leap 15.2 (noarch):

libX11-data-1.6.5-lp152.5.6.1


References:

https://www.suse.com/security/cve/CVE-2020-14344.html
https://bugzilla.suse.com/1174628

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages